
<div class="demo-vertical-spacing">
    <div class="card">
        <h6 class="card-header">
            <h3 class="pull-left">Role List
                <button class="btn btn-md btn-outline-primary pull-right" (click)="navigateToAddNewRole()">
                    <span class="fa fa-plus"></span> Add New Role</button>
            </h3>
            <div class="row">
                <div class="col-sm-6 col-md-5 col-lg-12">
                    <input class="form-control" type='text' placeholder='Search' (keyup)='updateFilter($event)'>
                </div>
            </div>
        </h6>
        <div *ngIf="!detectmob()" class="card-ngx-datatable table-responsive">
            <ngx-datatable #table style="min-width: 550px" [rows]="rows" [loadingIndicator]="loadingIndicator" [columnMode]="'force'"
                [headerHeight]="33" [footerHeight]="'auto'" [rowHeight]="'auto'" [reorderable]="true" [limit]="10">

                <ngx-datatable-column name="Role">

                </ngx-datatable-column>
                <ngx-datatable-column name="Description">

                </ngx-datatable-column>
                <ngx-datatable-column name="opt">
                    <ng-template let-column="column" ngx-datatable-header-template>
                            Action
                        </ng-template>
                <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
                    <button class="btn icon-btn btn-sm btn-outline-info borderless" placement="bottom" ngbTooltip="Edit" (click)="edit(row['role'],row['description'])" [disabled]="row['opt']=='false'">
                        <i class="fas fa-user-edit"></i>
                    </button>
                    <button class="btn icon-btn btn-sm btn-outline-danger borderless" placement="bottom" ngbTooltip="Delete" (click)="checkRoleAssigned(row['role'],row['description'])" [disabled]="row['opt']=='false'">
                        <i class="fas fa-trash"></i>
                    </button>
                </ng-template>
            </ngx-datatable-column>                
                
            </ngx-datatable>
        </div>
        <div *ngIf="detectmob()" class="card-ngx-datatable table-responsive">
                <ngx-datatable #table style="min-width: 550px" [rows]="rows" [loadingIndicator]="loadingIndicator" [columnMode]="'force'"
                    [headerHeight]="33" [footerHeight]="'auto'" [rowHeight]="'auto'" [reorderable]="true" [limit]="10">
    
                    <ngx-datatable-column name="Role">
    
                    </ngx-datatable-column>
                    <ngx-datatable-column name="Description">
    
                    </ngx-datatable-column>
                    <ngx-datatable-column name="opt">
                        <ng-template let-column="column" ngx-datatable-header-template>
                                Action
                            </ng-template>
                        <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
                                    <button class="btn icon-btn btn-sm btn-outline-info borderless tooltipMob" (press)="onLongPress('Edit')" (pressUp)="onPressUp()" (tap)="edit(row['role'],row['description'])" [disabled]="row['opt']=='false'">
                                        <i class="fas fa-user-edit"></i>
                                        <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span>
                                    </button>
                                    <button class="btn icon-btn btn-sm btn-outline-danger borderless tooltipMob" (press)="onLongPress('Delete')" (pressUp)="onPressUp()" (tap)="checkRoleAssigned(row['role'],row['description'])" [disabled]="row['opt']=='false'">
                                        <i class="fas fa-trash"></i>
                                        <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span>
                                    </button>
                        </ng-template>
                </ngx-datatable-column>                
                    
                </ngx-datatable>
            </div>
    </div>
    <!-- </div>
</div> -->